transcript on
if {[file exists work]} {
	vdel -lib work -all
}
vlib work
vmap work work

vlog -sv -work work {sin_cos_bg.sv}
vcom -93 -work work {sin_cos.vhd}
vlog -sv -work work {sin_cos_tb.sv}

vsim -t 1ns -L work -voptargs="+acc"  sin_cos_tb


add wave -divider     "Angle/CLK/Out"
add wave -decimal     sim:/sin_cos_tb/DUT/angle
add wave -hexadecimal sim:/sin_cos_tb/DUT/clk

add wave -hexadecimal sim:/sin_cos_tb/DUT/de_in
add wave -decimal -analog -min -525000 -max 525000 -height 50 sim:/sin_cos_tb/DUT/sine
add wave -decimal -analog -min -525000 -max 525000 -height 50 sim:/sin_cos_tb/DUT/cosine
add wave -hexadecimal sim:/sin_cos_tb/DUT/de_out

add wave -divider     "Internal Verilog VS VHDL"
add wave -decimal     {sim:/sin_cos_tb/DUT/remainder[1]}
add wave -decimal     {sim:/sin_cos_tb/REFD/remainder[1]}

add wave -divider     ""

add wave -decimal     {sim:/sin_cos_tb/DUT/x[1]}
add wave -decimal     {sim:/sin_cos_tb/REFD/x[1]}

add wave -divider     ""

add wave -decimal     {sim:/sin_cos_tb/DUT/y[1]}
add wave -decimal     {sim:/sin_cos_tb/REFD/y[1]}

add wave -divider     ""
add wave -divider     "VHDL Output"

add wave -hexadecimal sim:/sin_cos_tb/REFD/de_in
add wave -decimal -analog -min -525000 -max 525000 -height 50 sim:/sin_cos_tb/REFD/sine
add wave -decimal -analog -min -525000 -max 525000 -height 50 sim:/sin_cos_tb/REFD/cosine
add wave -hexadecimal  sim:/sin_cos_tb/REFD/de_out


do run_cord.do
